<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<html>
<script language="VB" runat="server">
    '在页面装载时调用的方法
    Sub Page_Load(Src As Object, E As EventArgs) 
	'创建数据集
    Dim DS As DataSet

	'创建数据库连接对象
    Dim IConn As SqlConnection

	'常见命令集对象
    Dim IComm As SqlDataAdapter

	'给数据库连接对象咐值
IConn=New SqlConnection("server=cm\cm;Trusted_Connection=yes;database=model")

	'调用存储过程
    IComm = New SqlDataAdapter("pro_foundid", IConn)

    '创建命令集为存储过程！
    IComm.SelectCommand.CommandType = CommandType.StoredProcedure

	'向数据库中传递参数
IComm.SelectCommand.Parameters.Add(New SqlParameter("@fid", SqlDbType.Int))
 
	'获得并传递参数
   IComm.SelectCommand.Parameters("@fid").Value = 27     

	'填充数据集
     DS = new DataSet()
     IComm.Fill(DS, "member")
	
	 '进行数据绑定
     IDG.DataSource=DS.Tables("member").DefaultView
     IDG.DataBind()

 End Sub

</script>

<body style="font: 10pt verdana">
  <br><br><br>
 <center>
   有输入参数的存储过程的输出结果： <br><br><br>
 <ASP:DataGrid id="IDG" runat="server"
    Width="650"
    BackColor="#ccccff" 
    BorderColor="black"
    ShowFooter="false" 
    CellPadding=3 
    CellSpacing="0"
    Font-Name="Verdana"
    Font-Size="8pt"
    HeaderStyle-BackColor="#aaaadd"
    MaintainState="false"
  />
</center>

</body>
</html>
